import React, { Component } from 'react';
import TextField from 'material-ui/TextField';
import {white, blue500} from 'material-ui/styles/colors';
import { browserHistory } from 'react-router'

  const styles = {
    iconButton: {
      float: 'left',
      paddingTop: 17
    },
    textField: {
      color: white,
      backgroundColor: blue500,
      borderRadius: 2,
      height: 35
    },
    inputStyle: {
      color: white,
      paddingLeft: 5
    },
    hintStyle: {
      height: 16,
      paddingLeft: 5,
      color: white
    }
  };

  class SearchBox extends Component  
{
  constructor()
  {
    super()
    this.state = {searchValue : ""};

  }

  handleSubmit(event)
  {
    event.preventDefault();

    browserHistory.push({ pathname: '/table', query: {
      "Search" : this.state.searchValue    
  } });    
  }

  handleSearch(event)
  {   
      this.setState({searchValue: event.target.value})
  }


  render(){
  return (
    
    <form action="" onSubmit={this.handleSubmit.bind(this)}> 
    <div>
      <TextField
        hintText="Search..."
        underlineShow={false}
        fullWidth={true}
        style={styles.textField}
        inputStyle={styles.inputStyle}
        hintStyle={styles.hintStyle}  
        ref="searchbar" 
        value={this.state.searchValue}    
        onChange={this.handleSearch.bind(this)}
      />
    </div>
    </form>
  );
}
}

export default SearchBox
